
Ruby - Feature #19982

Bump required Visual Studio version to 2015 after 3.3

10/31/2023 04:31 PM - kddnewton (Kevin Newton)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version:    

Description

Visual Studio 2013 is finally being EOL'd next April. (

https://learn.microsoft.com/en-us/visualstudio/productinfo/vs-servicing#older-versions-of-visual-studio) Let's drop support for it after

Ruby 3.3 is released.

If we bump the required version to Visual Studio 2015, we'll get better C99 support and be able to rely on some more standards.

Personally I'm excited about snprintf being actually implemented. (

https://learn.microsoft.com/en-us/cpp/overview/visual-cpp-language-conformance?view=msvc-170#c-standard-library-features-1)

As support for the argument, CPython requires VS2017 (https://github.com/python/cpython/blob/main/PCbuild/readme.txt) and gnulib

requires VS2015(https://www.gnu.org/software/gnulib/manual/html_node/Supported-Platforms.html).

Related issues:

Follows Ruby - Misc #15347: Require C99 Closed

Associated revisions

Revision 3d31e914961e3b5a113072498c7f18261fbaf133 - 12/26/2023 01:10 PM - hsbt (Hiroshi SHIBATA)

Disable to run appveyor anymore
Revision 3d31e914961e3b5a113072498c7f18261fbaf133 - 12/26/2023 01:10 PM - hsbt (Hiroshi SHIBATA)

Disable to run appveyor anymore
Revision 3d31e914 - 12/26/2023 01:10 PM - hsbt (Hiroshi SHIBATA)

Disable to run appveyor anymore
Revision 23345cc699e032bc95bad6f00e8a977f8be450f7 - 01/09/2024 08:12 AM - k0kubun (Takashi Kokubun)

Add Visual Studio 2015 job on GitHub Actions (#9452)
Revision 23345cc6 - 01/09/2024 08:12 AM - k0kubun (Takashi Kokubun)

Add Visual Studio 2015 job on GitHub Actions (#9452)
Revision 72d04bb073e6897fb4228d5b0b31ad02cbb91036 - 03/14/2024 09:38 AM - hsbt (Hiroshi SHIBATA)
[Feature #19982]

Revision 72d04bb073e6897fb4228d5b0b31ad02cbb91036 - 03/14/2024 09:38 AM - hsbt (Hiroshi SHIBATA)

05/12/2025 1/2

https://learn.microsoft.com/en-us/visualstudio/productinfo/vs-servicing#older-versions-of-visual-studio
https://learn.microsoft.com/en-us/cpp/overview/visual-cpp-language-conformance?view=msvc-170#c-standard-library-features-1
https://github.com/python/cpython/blob/main/PCbuild/readme.txt
https://www.gnu.org/software/gnulib/manual/html_node/Supported-Platforms.html
https://bugs.ruby-lang.org/issues/19982
https://bugs.ruby-lang.org/issues/19982
https://bugs.ruby-lang.org/issues/19982


Disable to run appveyor anymore

[Feature #19982]

Revision 72d04bb0 - 03/14/2024 09:38 AM - hsbt (Hiroshi SHIBATA)

Disable to run appveyor anymore
History

#1 - 10/31/2023 04:52 PM - k0kubun (Takashi Kokubun)

- Assignee set to usa (Usaku NAKAMURA)

#2 - 10/31/2023 04:53 PM - k0kubun (Takashi Kokubun)

- Follows Misc #15347: Require C99 added

#3 - 11/01/2023 03:07 AM - nobu (Nobuyoshi Nakada)

As for snprintf, we avoid system provided implementations not to be affected by locales.

#4 - 11/07/2023 06:36 AM - usa (Usaku NAKAMURA)

It's ok.

Thank you for letting us know.

#5 - 12/26/2023 06:06 AM - hsbt (Hiroshi SHIBATA)

https://github.com/ruby/ruby/pull/9360

#6 - 12/27/2023 01:17 AM - usa (Usaku NAKAMURA)

merged PR 9360.

and also committed 5703cc296a98834a389a6c5d60690c5e4d423f90

#7 - 12/27/2023 01:26 AM - usa (Usaku NAKAMURA)

- Status changed from Open to Closed
